Subject: Re: bug#12081: 24.1; buffer-predicate often not called

From: Alp Aker <[email-masked]>
Date: Mon, 30 Jul 2012 12:33:54 -0400

On Mon, Jul 30, 2012 at 12:22 PM, Alp Aker <[email-masked]> wrote:

> With the existing code, it's guaranteed that either (1) we switch to a
> new buffer while scanning the next buffers or the prev buffers, or (2)
> we finish those scans with `visible' set to a buffer we can switch to.

Actually, it appears I'm wrong about that.  The existing code doesn't
make such a guarantee.  Still, it seems to me preferable to have
replace-buffer-in-windows and replace_buffer_in_windows_safely agree
on what to do as a last resort; that creates a more consistent user
experience.